org.jbpm.workflow.instance.node

## Class CompositeNodeInstance.CompositeNodeStartInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.CompositeNodeInstance.CompositeNodeStartInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance
  Enclosing class:
    CompositeNodeInstance

      public class CompositeNodeInstance.CompositeNodeStartInstance
      extends NodeInstanceImpl

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeNodeStartInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeNode.CompositeNodeStart` | `getCompositeNodeStart()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `triggerCompleted()`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, cancel, configureSla, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeNodeStartInstance

          public CompositeNodeStartInstance()

  - ### Method Detail

    - #### getCompositeNodeStart

          public CompositeNode.CompositeNodeStart getCompositeNodeStart()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

    - #### triggerCompleted

          public void triggerCompleted()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.